/*
   Copyright 2009,2010 Ricardo Cañuelo Navarro

   This file is part of Oolong.

   Oolong is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Oolong is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Oolong.  If not, see <http://www.gnu.org/licenses/>.
*/

package es.rediris.forja.tea.plugins.temperature;

import javax.swing.*;

import java.awt.*;
import java.text.DecimalFormat;

public class JThermometer extends JPanel
{
	float value;
	
	public JThermometer()
	{
		Dimension dim = new Dimension(300,425);
		setPreferredSize(dim);
		setMinimumSize(dim);
		setMaximumSize(dim);
		value=10f;
	}
	
	public void setValue(float temp)
	{
		value=temp;
		repaint();
	}
	
	public void paintComponent(Graphics g)
	{
		int mercury;
		if (value > 70)
			mercury = 70;
		else if (value < -19)
			mercury = -19;
		else
			mercury = (int) value;
		
		super.paintComponent(g);
		((Graphics2D)g).setRenderingHint(RenderingHints.KEY_ANTIALIASING, 
						RenderingHints.VALUE_ANTIALIAS_ON);
		g.setColor(Color.RED);
		g.drawImage(new ImageIcon(getClass().getResource("termometro.png")).getImage(),
				0,0,null);
		g.drawRect(146,337-5-(mercury+21)*3,2,5+(mercury+21)*3);
		g.fillRect(146,337-5-(mercury+21)*3,2,5+(mercury+21)*3);
		g.setFont(new Font("SansSerif",Font.PLAIN,16));
		g.setColor(Color.BLACK);
		DecimalFormat form = new DecimalFormat();
		form.setMaximumFractionDigits(2);
		g.drawString("Temp. : " + form.format(value),20,150);
	}
}
