/*
   Copyright 2009,2010 Ricardo Cañuelo Navarro

   This file is part of Oolong.

   Oolong is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Oolong is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Oolong.  If not, see <http://www.gnu.org/licenses/>.
*/

package es.rediris.forja.tea.plugins.temperature;

import java.util.Properties;

import es.rediris.forja.tea.api.Meter;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * This class creates an activator for the Thermometer bundle.
 * The activator creates a new Thermometer object and then it registers
 * the Thermometer as a service
 * @author rcn
 *
 */
public class ThermometerActivator implements BundleActivator
{
	public void start(BundleContext context) throws Exception
	{
		Meter temp = new Thermometer();
		
		/* Register the new Thermometer object as a service
		 * with a set of properties
		 */
		Properties props = new Properties();
		props.put("Meter name","Thermometer");
		context.registerService(Meter.class.getName(), temp, props);
	}
	
	public void stop(BundleContext context) throws Exception{}
}
