/*
   Copyright 2009,2010 Ricardo Cañuelo Navarro
   Vicente Ruiz Rodríguez <vruiz2.0@gmail.com>

   This file is part of Oolong.

   Oolong is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Oolong is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Oolong.  If not, see <http://www.gnu.org/licenses/>.
*/

package es.rediris.forja.tea.server;

import java.io.*;

import javax.xml.ws.Endpoint;

public class VirtualServer
{		
	public static void main(String[] args)
	{
		Sensor temperature = new TempSensor();
		Endpoint.publish("http://127.0.0.1:9871/ts", temperature);

		System.out.println("Virtual Tea Server running on " +
				"http://127.0.0.1:9871/ts");
		
		Sensor barometer = new BarSensor();
		Endpoint.publish("http://127.0.0.1:9871/bs", barometer);
		
		System.out.println("Virtual Tea Server running on " +
				"http://127.0.0.1:9871/bs");

		Sensor humidity = new HumiditySensor();
		Endpoint.publish("http://127.0.0.1:9871/hs", humidity);
		
		System.out.println("Virtual Tea Server running on " +
				"http://127.0.0.1:9871/hs");
		
		BufferedReader is = new BufferedReader(
				new InputStreamReader(System.in)); 
		String inputLine = null;
		boolean exit = false;
		while(!exit) {
			String[] com = new String[4];
			try {
				inputLine = is.readLine();
				com = inputLine.split(" ", 4);
				if(com[0].contentEquals("exit")) {
					exit = true;
					System.out.println("Ok: Exiting cli. " +
							"Server still running");
				} 
				else if(com[0].contentEquals("set")) {
				    if (com[1].contentEquals("temp")) {
					    int val = Integer.parseInt(com[2]);
					    temperature.setValue(val);
					    System.out.println("Ok: Temperature = " +
								    val);
					} else if(com[1].contentEquals("press")) {
					    int val = Integer.parseInt(com[2]);
					    barometer.setValue(val);
					    System.out.println("Ok: Pression = " +
								    val);
					} else if(com[1].contentEquals("humi")) {
					    int val = Integer.parseInt(com[2]);
					    humidity.setValue(val);
					    System.out.println("Ok: Humidity = " +
								    val);
					}
				}
				else
					System.out.println("Wrong command");
			} catch (Exception ex) {}
		}
	}
}
